/// <reference types="react" />
import * as React from 'react';
export interface Options {
    ignoreNetworkErrors?: boolean;
    ignoreMutationErrors?: boolean;
}
declare global  {
    interface Error {
        key?: string;
    }
}
export declare type Component<Props> = React.ComponentClass<Props> | React.StatelessComponent<Props> | ((props: Props & {
    children?: React.ReactNode;
}, context?: any) => React.ReactElement<any> | null);
export interface InjectedProps {
    networkErrors: ReadonlyArray<Error>;
    mutationErrors: ReadonlyArray<Error>;
    requestInFlight: boolean;
    onDismissNetworkError: (err: Error) => any;
    onDismissMutationError: (err: Error) => any;
}
export default function connectErrors(options?: Options): <OriginalProps extends {}>(WrappedComponent: Component<InjectedProps & OriginalProps>) => React.ComponentClass<OriginalProps>;
